angular.module('starter.controllers')
.controller('ProfileCtrl', function($scope, $rootScope, $ionicModal, $ionicHistory, $timeout, $location,getProfileService,ProfileUpdatePromise,ProfileRemoveTeamPromise,ProfileAddTeamPromise,ProfileRemoveNumberPromise,ProfileAddNumberPromise,ProfileRoleUpdatePromise,$state, $http, $stateParams) {

	$scope.Profile = {};
	$scope.Profile.newTeam = '';
	$scope.Profile.newNumber = '';
	$scope.loading= true;
	$scope.designation = [{roleid:'200',rolename:'Employee'},
												{roleid:'300',rolename:'Lead'},
												{roleid:'400',rolename:'Manager'},
												{roleid:'500',rolename:'Line Manager'},
												{roleid:'600',rolename:'Director'}];
	
$scope.$on('$ionicView.enter', function(e) {
	var response =  getProfileService.startService($scope.loginData.username);
	response.then(
	function(success) {
		$scope.User = success;
		console.log(success);
		$scope.TeamIdarr = [];
		angular.forEach(success.teamBean, function(team) {
			$scope.TeamIdarr.push(team.teamId);
		});
		$scope.loading= false;
		$scope.Profile.newTeam = '';
	$scope.Profile.newNumber = '';
	},
	function(error) {
		alert("Got error while fetching values.");
		$scope.loading= false;
	});
});
	
	$scope.deleteTeambutton = function(teamid){
		$scope.loading= true;
		var response =  ProfileRemoveTeamPromise.startService($scope.loginData.username,teamid);
		response.then(
		function(success) {
			
			if(success == 1)
				alert("Team deleted Successfully");
			else
				alert("Sorry Atleast one Team should be kept at all Times. Please add new Team before deleting this one");
			
			angular.forEach($scope.$parent.teamList, function(user) {
						if(user.teamId == teamid)
						{
							user.isTeam = false;
							}
						});
			
			$state.reload();
			$scope.loading= false;
		},
		function(error) {
			alert("Got error while updating.");
			$scope.loading= false;
		});
	}

	$scope.deleteNumberbutton = function(Number){
$scope.loading= true;
		var response =  ProfileRemoveNumberPromise.startService($scope.loginData.username,Number);
		response.then(
		function(success) {
			if(success == 1)
				alert("Number deleted Successfully");
			else
				alert("Sorry Atleast one number should be kept at all Times. Please add new Number before deleting this one");
			
			$state.reload();
			$scope.loading= false;
			
		},
		function(error) {
			alert("Got error while updating.");
			$scope.loading= false;
		});
	}

	$scope.addTeambutton = function(teamid){
		$scope.loading= true;
		
		var response =  ProfileAddTeamPromise.startService($scope.loginData.username,teamid);
		response.then(
		function(success) {
			angular.forEach($scope.$parent.teamList, function(user) {
						if(user.teamId == teamid)
						{
							user.isTeam = true;
							}
						})
			$state.reload();
			$scope.loading= false;
		},
		function(error) {
			alert("Got error while updating.");
			$scope.loading= false;
		});
	}

	$scope.addNumberbutton = function(Number){
		$scope.loading= true;
		var response =  ProfileAddNumberPromise.startService($scope.loginData.username,Number);
		response.then(
		function(success) {
			
			$state.reload();
			$scope.loading= false;
		},
		function(error) {
			alert("Got error while updating.");
			$scope.loading= false;
		});
		
	}

	$scope.UpdateNamebutton = function(firstname,lastname){
		$scope.loading= true;
		var response =  ProfileUpdatePromise.startService($scope.loginData.username,firstname,lastname);
		response.then(
		function(success) {
			$state.reload();
			$scope.loading= false;
		},
		function(error) {
			alert("Got error while updating.");
			$scope.loading= false;
		});
	}

	$scope.updateRole = function(roleid,teamid){
		$scope.loading= true;
		var response =  ProfileRoleUpdatePromise.startService($scope.loginData.username,roleid,teamid);
		response.then(
		function(success) {
			$state.reload();
			$scope.loading= false;
		},
		function(error) {
			alert("Got error while updating.");
			$scope.loading= false;
		});
	}
	
	
	
});
