angular.module('starter.controllers')
.controller('imageCtrl', function($scope, $stateParams, $http, $ionicHistory, $ionicSlideBoxDelegate, $ionicModal, getImagePromise, $state) {

	$scope.refreshImages = function() {
		$state.reload();
	}
	$scope.images = [];
	$scope.heightLandscape = {};
	$scope.adjustHeigt = {};
	$scope.styleSlider = {};
	$scope.$on('$ionicView.enter', function(e) {

		//$scope.$parent.$parent.currentImageURL = $scope.images[0];
		$scope.enableOverflow = 'false';

		function doOnOrientationChange() {
			switch (window.orientation) {
				case -90:
				case 90:
				$scope.heightLandscape = {
					height: '-webkit-fill-available',
					width: 'unset'
				};
				$scope.enableOverflow = 'true';
				$scope.adjustHeigt = {
					'padding-top': '16%'
				};
				break;
				default:
				$scope.heightLandscape = {};
				break;
			}
		}
		window.addEventListener('orientationchange', doOnOrientationChange);
		if (ionic.Platform.isIOS()) {
			$scope.styleSlider = {
				"margin-top": 23+'px',
				"margin-bottom": 50+'px'
			};
		}
		$ionicModal.fromTemplateUrl('templates/image-modal.html', {
			scope: $scope,
			animation: 'slide-in-up'
		}).then(function(modal) {
			$scope.modal = modal;
		});

		$scope.openModal = function() {
			$scope.modal.show();
		};

		$scope.closeModal = function() {
			$scope.modal.hide();
		};

		//Cleanup the modal when we're done with it!
		$scope.$on('$destroy', function() {
			$scope.modal.remove();
		});
		// Execute action on hide modal
		$scope.$on('modal.hide', function() {
			// Execute action
		});
		// Execute action on remove modal
		$scope.$on('modal.removed', function() {
			// Execute action
		});
		$scope.$on('modal.shown', function() {
			console.log('Modal is shown!');
		});
		$scope.showImage = function(index) {
			 //alert(index);
			$scope.imageSrc = index;
			 //alert($scope.imageSrc);

			$scope.openModal();
		}

		$scope.slideHasChanged = function(index) {
			//$scope.$parent.$parent.currentImageURL = $scope.images[index];
		}
		$scope.imagesResults = [];

		var menuid = "uverse_defect_metrics";
		var path = "/opt/app/aace/3psw/apache-tomcat-8.0.33/images/uverse_defect_metrics/";

		var imageService = getImagePromise.startService($scope.loginData.username, $scope.getTimeFormat(), $scope.myDeviceInfo(), menuid, path, $scope.appVersion);
		$scope.images = [];
		imageService.then(
		function(success) {
			angular.forEach(success.listOfImages, function(imageInfo) {
				var image = JSON.parse(imageInfo);
				$scope.images.push(image.imageUri);
			});
			//$scope.$parent.$parent.currentImageURL = $scope.images[0];
			$ionicSlideBoxDelegate.update();
		},
		function(error) {
			alert("Getting Error while fetching the images :" +error);
		}
		);
	});
});
