angular.module('starter', ['ionic', 'starter.controllers', 'ngStorage','ui.router'])
.run(function($ionicPlatform, $state, LoginService, $ionicHistory, $http, $rootScope, $templateCache,$ionicPopup) {

	$ionicPlatform.ready(function() {

		if (!LoginService.isAuthenticated()) {

			$state.go('login',{});
		}
	});

})
.config(function($stateProvider, $urlRouterProvider) {
	$stateProvider
	.state('app', {
		url: '/app',
		templateUrl: 'templates/menu.html',
		controller: 'AppCtrl'
	})
	.state('login', {
		url: '/login',
		templateUrl: 'templates/login.html',
		controller: 'LoginCtrl'
	})
	.state('app.profile', {
		url: '/profile',
		views: {
			'menuContent': {
				templateUrl: 'templates/Profile.html',
				controller: 'ProfileCtrl'
			}
		}
	})
	.state('app.Hub', {
		url: '/Hub',
		views: {
			'menuContent': {
				templateUrl: 'templates/KnowledgeHub.html',
				controller: 'KnowledgeHubCtrl'
			}
		}
	})
	.state('app.HO', {
		url: '/HO',
		views: {
			'menuContent': {
				templateUrl: 'templates/HandOver.html',
				controller: 'HOCtrl'
			}
		}
	})
	.state('app.KT', {
		url: '/KT:teamname',
		views: {
			'menuContent': {
				templateUrl: 'templates/KTDoc.html',
				controller: 'KtDocCtrl'
			}
		}
	})
	.state('app.oncallsupport', {
		url: '/oncallsupport',
		views: {
			'menuContent': {
				templateUrl: 'templates/onCallSupport.html',
				controller: 'onCallSupportCtrl'
			}
		}
	})

	.state('app.loggrepsearch', {
		url: '/loggrepsearch',
		views: {
			'menuContent': {
				templateUrl: 'templates/OMSLogSearch.html',
				controller: 'GrepSearchCtrl'
			}
		}
	})
	.state('app.Grepsearch', {
		url: '/Grepsearch',
		views: {
			'menuContent': {
				templateUrl: 'templates/GrepSearch.html'
				/*controller: 'GrepSearchCtrl'*/
			}
		}
	})
	.state('app.loggrepResult', {
		url: '/loggrepResult',
		params: { LogResult: null,
			BBResult: null,
		GrepString: null },
		views: {
			'menuContent': {
				templateUrl: 'templates/LogSearchResult.html',
				controller: 'SearchResultCtrl'
			}
		}
	})
	.state('app.HOImages', {
		url: '/HOimages',
		params: { images: null},
		views: {
			'menuContent': {
				templateUrl: 'templates/HOslider.html',
				controller: 'HOimagesCtrl'
			}
		}
	}).state('app.BBgrepResult', {
		url: '/BBgrepResult',
		params: { LogResult: null,
			BBResult: null,
		GrepString: null },
		views: {
			'menuContent': {
				templateUrl: 'templates/BBSearchResult.html',
				controller: 'SearchResultCtrl'
			}
		}
	}).state('app.metrics', {
		url: '/metrics',
		views: {
			'menuContent': {
				templateUrl: 'templates/slider.html',
				controller: 'imageCtrl'
			}
		}
	})
	.state('app.krishflow', {
		url: '/krishflow',
		views: {
			'menuContent': {
				templateUrl: 'templates/krrishFlow.html',
				controller: 'krrishflowCtrl'
			}
		}
	})
	.state('app.BriteBill', {
		url: '/BriteBill',
		views: {
			'menuContent': {
				templateUrl: 'templates/BriteBill.html',
				controller: 'GrepSearchCtrl'
			}
		}
	}).state('app.sanity', {
		url: '/sanity',
		views: {
			'menuContent': {
				templateUrl: 'templates/sanity.html'
				//controller: 'sanityCtrl'
			}
		}
	}).state('app.sanityCheck', {
		url: '/sanityCheck:teamname',
		views: {
			'menuContent': {
				templateUrl: 'templates/sanityCheck.html',
				controller: 'sanityCtrl'
			}
		}
	}).state('app.release', {
		url: '/release',
		views: {
			'menuContent': {
				templateUrl: 'templates/release.html',
				controller: 'releaseCtrl'
			}
		}
	}).state('app.releaseData', {
		url: '/release:teamname',
		views: {
			'menuContent': {
				templateUrl: 'templates/release.html',
				controller: 'releaseCtrl'
			}
		}
	}).state('app.Favourites', {
		url: '/Favourites',
		views: {
			'menuContent': {
				templateUrl: 'templates/Favourites.html',
				controller: 'FavouritesCtrl'
			}
		}
	}).state('app.Chat', {
		url: '/Chat',
		views: {
			'menuContent': {
				templateUrl: 'templates/Chat.html'
				//controller: 'FavouritesCtrl'
			}
		}
	}).state('app.ChatData', {
		url: '/ChatData:teamname',
		views: {
			'menuContent': {
				templateUrl: 'templates/ChatFrame.html',
				controller: 'ChatCtrl'
			}
		}
	}).state('app.Notes', {
		url: '/Notes:teamname',
		views: {
			'menuContent': {
				templateUrl: 'templates/Notes.html',
				controller: 'NotesCtrl'
			}
		}
	})
	// if none of the above states are matched, use this as the fallback
	$urlRouterProvider.otherwise('/login');
});