angular.module('starter.controllers')
  
  .factory('loginPromise', function($http, $q) {
    return {
      startService: function(username, password) {
        if (username.length != 6) {
          username = window.localStorage['username'];
        }
        var def = $q.defer();
        var urlAuth = "https://attdashboard.wireless.att.com/EDSGateway/auth";
         $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = password;
        $http.get(urlAuth, {
            async: true,
            cache: false,
          })
          .success(function(response) {
           
            def.resolve(response);
            
          }).error(function(response) {
          	
            def.reject("login error");
          }).finally(function() {
          	
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUser'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
          });
           
        return def.promise;
      }
    };
  })
  .factory('accessPromise', function($http, $q) {
    return {
      startService: function(username, password) {
        if (username.length != 6) {
          username = window.localStorage['username'];
        }
        var def = $q.defer();
        var urlAuth = "https://attdashboard.wireless.att.com/EDSGateway/forward/Oncall/Wizard/access?userid="+username;
         $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = password;
        $http.get(urlAuth, {
            async: true,
            cache: false,
          })
          .success(function(response) {
           
            def.resolve(response);
            
          }).error(function(response) {
          	
            def.reject("login error");
          }).finally(function() {
          	
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUser'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
          });
           
        return def.promise;
      }
    };
  }) 
  .factory('LoginService', function($http) {
    var isAuthenticated = false;
    return {
      setIsAuthenticated: function(amiLogged) {
        isAuthenticated = amiLogged;
      },
      isAuthenticated: function() {
        return isAuthenticated;
      },
      getCurrentParams: function() {
        return responseData;
      }
    };
  })
  .factory('fetchOnCallDataService', function($http, $q) {
    return {
      startService: function(username,password) {
      	 
        if (username.length != 6) {
          username = window.localStorage['username'];
          password = window.localStorage['password'];
        }
        
        var def = $q.defer();
        var url = "https://attdashboard.wireless.att.com/EDSGateway/forward/Oncall/Wizard/getOncallData?userid="+username;
         $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = password;
        $http.get(url, {
            async: true,
            cache: false,
          })
          .success(function(response) {
          
            def.resolve(response);
            
          }).error(function(response) {
          
            def.reject("login error");
          }).finally(function() {
          	
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUser'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
          });
           
        return def.promise;
      }
    };
  })
  .factory('fetchLogGrepService', function($http, $q) {
    return {
      startService: function(username,password,SearchString,Segment,Cluster) {
        if (username.length != 6) {
          username = window.localStorage['username'];
        }
         var def = $q.defer();
        
         /*
        Uncomment once Web Srvice ready
        
       
        var url = Log grep URL paste here;
        
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = password;
        
        $http.post(url, "?&username=" + username + "&SearchString=" + SearchString + "&Segment=" + Segment + "&Cluster=" + Cluster, 'application/x-www-form-urlencoded')
          .success(function(response) {
          
            def.resolve(response);
            
          }).error(function(response) {
          
            def.reject("login error");
          }).finally(function() {
         
            delete $http.defaults.headers.common['imoc-header-user-name'];
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['Content-Type'];
          });
          
          return def.promise;
        */
       
       var DummyResult = [
       	{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_102.59.7.log',
       		Count:78},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_10.59.37.log',
       		Count:32},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_02.59.37.log',
       		Count:23},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_102.59.37.log',
       		Count:963},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_12.59.7.log',
       		Count:968},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_102.59.37.log',
       		Count:32},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_10.59.37.log',
       		Count:32},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_02.59.37.log',
       		Count:23},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_102.59.37.log',
       		Count:963},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_12.59.7.log',
       		Count:968},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_102.59.37.log',
       		Count:32},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_10.59.37.log',
       		Count:32},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_02.59.37.log',
       		Count:23},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_102.59.37.log',
       		Count:963},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_12.59.7.log',
       		Count:968},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_102.59.37.log',
       		Count:32},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_10.59.37.log',
       		Count:32},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_02.59.37.log',
       		Count:23},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_102.59.37.log',
       		Count:963},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_12.59.7.log',
       		Count:968},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_102.59.37.log',
       		Count:32},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_10.59.37.log',
       		Count:32},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_02.59.37.log',
       		Count:23},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_102.59.37.log',
       		Count:963},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_12.59.7.log',
       		Count:968},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_102.59.37.log',
       		Count:32},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_10.59.37.log',
       		Count:32},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_02.59.37.log',
       		Count:23},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_102.59.37.log',
       		Count:963},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_12.59.7.log',
       		Count:968},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_102.59.37.log',
       		Count:32},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_10.59.37.log',
       		Count:32},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_02.59.37.log',
       		Count:23},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_102.59.37.log',
       		Count:963},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_12.59.7.log',
       		Count:968},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_102.59.37.log',
       		Count:32},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_10.59.37.log',
       		Count:32},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_02.59.37.log',
       		Count:23},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_102.59.37.log',
       		Count:963},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_12.59.7.log',
       		Count:968},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_102.59.37.log',
       		Count:32},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_10.59.37.log',
       		Count:32},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_02.59.37.log',
       		Count:23},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_102.59.37.log',
       		Count:963},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_12.59.7.log',
       		Count:968},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_102.59.37.log',
       		Count:32},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_10.59.37.log',
       		Count:32},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_02.59.37.log',
       		Count:23},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_102.59.37.log',
       		Count:963},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_12.59.7.log',
       		Count:968},
       		{JVM:'prdkc5_ics1.1',
       		filelink:'SystemOut_18.07.25_102.59.37.log',
       		Count:32}
       ];
        def.resolve(DummyResult);
        return def.promise;
      }
    };
  })
  .factory('fetchBBGrepService', function($http, $q) {
    return {
      startService: function(username,password,SearchString,BBenv) {
        if (username.length != 6) {
          username = window.localStorage['username'];
        }
      var def = $q.defer();
        
        /*
        Uncomment once Web Srvice ready
        
        var def = $q.defer();
        var url = Log grep URL paste here;
        
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = password;
        
        $http.post(url, "?&username=" + username + "&SearchString=" + SearchString + "&BBenv=" + BBenv, 'application/x-www-form-urlencoded')
          .success(function(response) {
          
            def.resolve(response);
            
          }).error(function(response) {
          
            def.reject("login error");
          }).finally(function() {
         
            delete $http.defaults.headers.common['imoc-header-user-name'];
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['Content-Type'];
          });
        
        
        */   
        
        var DummyResult = [{Server:"zlp11339.vci.att.com",Result:"2018-07-22 09:11:29.765 [invoice-processing-9] INFO  c.b.a.s.t.XmlToProcessingRequestTransformer - transform, for BAN [917006178], processing time 1 ms"},
        {Server:"zlp11339.vci.att.com",Result:"2018-07-22 09:11:29.765 [invoice-processing-9] INFO  c.b.a.s.t.XmlToProcessingRequestTransformer - transform, for BAN [917006178], processing time 1 ms"},
        {Server:"zlp11339.vci.att.com",Result:"2018-07-22 09:11:29.765 [invoice-processing-9] INFO  c.b.a.s.t.XmlToProcessingRequestTransformer - transform, for BAN [917006178], processing time 1 ms"}];
        def.resolve(DummyResult);
        return def.promise;
        
      }
    };
  })
  .factory('getImagePromise', function($http, $q) {
    return {
      startService: function(username, timeformat, deviceinfo, role, path, version) {
        if (username.length != 6) {
          username = window.localStorage['username'];
        }
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/proc_rq/imoc_services/mobile_api/v300/image-processing-json';

        $http.defaults.headers.common['imoc-header-sent-time'] = timeformat;
        $http.defaults.headers.common['imoc-header-device-type'] = deviceinfo;
        $http.defaults.headers.common['imoc-header-application-version'] = version;
        $http.defaults.headers.common['imoc-header-user-name'] = username;
        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        $http.post(url, "?&role=" + role + "&server-path=" + path, 'application/x-www-form-urlencoded')
          .success(function(response) {
            def.resolve(response);
          }).error(function(response) {
            def.reject("WS failurewhile getting the image, error is : " + response);
          }).finally(function() {
            delete $http.defaults.headers.common['imoc-header-sent-time'];
            delete $http.defaults.headers.common['imoc-header-device-type'];
            delete $http.defaults.headers.common['imoc-header-application-version'];
            delete $http.defaults.headers.common['imoc-header-user-name'];
            delete $http.defaults.headers.common['attEDSApplication'];
          });
        return def.promise;
      }
    };
  })
  .factory('updateOnCallStatusPromise', function($http, $q) {
    return {
     startService: function(username, status, teamId) {
      	
        if (username.length != 6) {
          username = window.localStorage['username'];
        
        }
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/Oncall/Wizard/setOncallStatus';

        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        $http.post(url, "?&status=" + status +"&userid="+username+"&teamId="+teamId, 'application/x-www-form-urlencoded')
          .success(function(response) {
          	console.log("success");
            def.resolve(response);
          }).error(function(response) {
          	console.log("reject");
            def.reject("WS failure while getting the image, error is : " + response);
          }).finally(function() {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('sendMailService', function($http, $q) {
    return {
      startService: function(username, report, email) {
      	
        if (username.length != 6) {
          username = window.localStorage['username'];
        
        }
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/Oncall/Wizard/sendEmailToKrish?subject='+report+'&email='+email;

        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        $http.get(url, {
            async: true,
            cache: false,
          })
          .success(function(response) {
          	console.log("success");
            def.resolve(response);
          }).error(function(response) {
          	console.log("reject");
            def.reject("WS failure while getting the image, error is : " + response);
          }).finally(function() {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('getKrrishTriggerService', function($http, $q) {
    return {
      startService: function(username) {
      	
        if (username.length != 6) {
          username = window.localStorage['username'];
        
        }
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/Oncall/Wizard/getKrishRefDataByAttuid?userId='+username;

        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        $http.get(url, {
            async: true,
            cache: false,
          })
          .success(function(response) {
          	console.log("success");
            def.resolve(response);

          }).error(function(response) {
          	console.log("reject");
            def.reject("WS failure while getting the image, error is : " + response);
          }).finally(function() {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('getProfileService', function($http, $q) {
    return {
      startService: function(username) {
      	
        if (username.length != 6) {
          username = window.localStorage['username'];
        
        }
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/Oncall/Wizard/getProfileByAttuid?userId='+username;

        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        $http.get(url, {
            async: true,
            cache: false,
          })
          .success(function(response) {
          	console.log("success");
            def.resolve(response);
          }).error(function(response) {
          	console.log("reject");
            def.reject("WS failure while getting the image, error is : " + response);
          }).finally(function() {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('AddFavouritePromise', function($http, $q) {
    return {
      startService: function(username,attuid,number,teamid) {
      	
        if (username.length != 6) {
          username = window.localStorage['username'];
        
        }
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/Oncall/Wizard/addUserToFavList';

        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
         $http.post(url, "?&userId=" + username + "&favId=" + attuid + "&favTeam=" + teamid + "&favPhone=" + number, 'application/x-www-form-urlencoded')
          .success(function(response) {
          	console.log("success");
            def.resolve(response);
          }).error(function(response) {
          	console.log("reject");
            def.reject("WS failure while getting the image, error is : " + response);
          }).finally(function() {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('removeFavouritePromise', function($http, $q) {
    return {
      startService: function(username,attuid) {
      	
        if (username.length != 6) {
          username = window.localStorage['username'];
        
        }
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/Oncall/Wizard/removeUserFromFavList';

        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        
        $http.post(url, "?&userId=" + username + "&favId=" + attuid, 'application/x-www-form-urlencoded')
          .success(function(response) {
          	console.log("success");
            def.resolve(response);
          }).error(function(response) {
          	console.log("reject");
            def.reject("WS failure while getting the image, error is : " + response);
          }).finally(function() {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('getFavouritePromise', function($http, $q) {
    return {
      startService: function() {
      	
        var username = window.localStorage['username'];
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/Oncall/Wizard/getFavListUsingAttuid?userId='+username;

        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        
        $http.get(url, {
            async: true,
            cache: false,
          })
          .success(function(response) {
          	console.log("success");
            def.resolve(response);
          }).error(function(response) {
          	console.log("reject");
            def.reject("WS failure while getting the image, error is : " + response);
          }).finally(function() {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('GetTeamListPromise', function($http, $q) {
    return {
      startService: function() {
      	
        var username = window.localStorage['username'];
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/Oncall/Wizard/fetchTeamList';

        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        
        $http.get(url, {
            async: true,
            cache: false,
          })
          .success(function(response) {
          	console.log("teamlist success");
            def.resolve(response);
          }).error(function(response) {
          	console.log("teamlist teamlistreject");
            def.reject("WS failure while getting the image, error is : " + response);
          }).finally(function() {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('ProfileRemoveTeamPromise', function($http, $q) {
    return {
      startService: function(username, teamId) {
      	
        if (username.length != 6) {
          username = window.localStorage['username'];
        
        }
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/Oncall/Wizard/removeTeamForUser';

        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        $http.post(url, "?&userId="+username+"&teamId="+teamId, 'application/x-www-form-urlencoded')
          .success(function(response) {
          	console.log("success");
            def.resolve(response);
          }).error(function(response) {
          	console.log("reject");
            def.reject("WS failure while getting the image, error is : " + response);
          }).finally(function() {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
   .factory('ProfileAddTeamPromise', function($http, $q) {
    return {
      startService: function(username, teamId) {
      	
        if (username.length != 6) {
          username = window.localStorage['username'];
        
        }
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/Oncall/Wizard/addTeamForUser';

        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        $http.post(url, "?&userId="+username+"&teamId="+teamId, 'application/x-www-form-urlencoded')
          .success(function(response) {
          	console.log("success");
            def.resolve(response);
          }).error(function(response) {
          	console.log("reject");
            def.reject("WS failure while getting the image, error is : " + response);
          }).finally(function() {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('ProfileRemoveNumberPromise', function($http, $q) {
    return {
      startService: function(username, phoneNumber) {
      	
        if (username.length != 6) {
          username = window.localStorage['username'];
        
        }
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/Oncall/Wizard/removePhoneForUser';

        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        $http.post(url, "?&userId="+username+"&phoneNumber="+phoneNumber, 'application/x-www-form-urlencoded')
          .success(function(response) {
          	console.log("success");
            def.resolve(response);
          }).error(function(response) {
          	console.log("reject");
            def.reject("WS failure while getting the image, error is : " + response);
          }).finally(function() {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('ProfileAddNumberPromise', function($http, $q) {
    return {
      startService: function(username,phoneNumber) {
      	
        if (username.length != 6) {
          username = window.localStorage['username'];
        
        }
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/Oncall/Wizard/addPhoneForUser';

        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        $http.post(url, "?&userId="+username+"&phoneNumber="+phoneNumber, 'application/x-www-form-urlencoded')
          .success(function(response) {
          	console.log("success");
            def.resolve(response);
          }).error(function(response) {
          	console.log("reject");
            def.reject("WS failure while getting the image, error is : " + response);
          }).finally(function() {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('ProfileUpdatePromise', function($http, $q) {
    return {
      startService: function(username,firstname,lastname) {
      	
        if (username.length != 6) {
          username = window.localStorage['username'];
        
        }
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/Oncall/Wizard/updateProfileByAttuid';

        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        $http.post(url, "?&userId="+username+"&firstName="+firstname+"&lastName="+lastname, 'application/x-www-form-urlencoded')
          .success(function(response) {
          	console.log("success");
            def.resolve(response);
          }).error(function(response) {
          	console.log("reject");
            def.reject("WS failure while getting the image, error is : " + response);
          }).finally(function() {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('ProfileRoleUpdatePromise', function($http, $q) {
    return {
      startService: function(username,roleId,teamId) {
      	
        if (username.length != 6) {
          username = window.localStorage['username'];
        
        }
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/Oncall/Wizard/updateRoleByTeamId';

        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        
        $http.post(url, "?&userId="+username+"&teamId="+teamId+"&roleId="+roleId, 'application/x-www-form-urlencoded')
          .success(function(response) {
          	console.log("success");
            def.resolve(response);
          }).error(function(response) {
          	console.log("reject");
            def.reject("WS failure while getting the image, error is : " + response);
          }).finally(function() {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('fetchHOService', function($http, $q) {
    return {
      startService: function(username,roleId,teamId) {
      	
        if (username.length != 6) {
          username = window.localStorage['username'];
        
        }
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/Oncall/Wizard/updateRoleByTeamId';

        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        
        $http.post(url, "?&userId="+username+"&teamId="+teamId+"&roleId="+roleId, 'application/x-www-form-urlencoded')
          .success(function(response) {
          	console.log("success");
            def.resolve(response);
          }).error(function(response) {
          	console.log("reject");
            def.reject("WS failure while getting the image, error is : " + response);
          }).finally(function() {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('getFile', function($http, $q) {
    return {
      startService: function(username) {
      	
        //if (username.length != 6) {
        //  username = window.localStorage['username'];
        
        //}
        var def = $q.defer();
        var url = 'http://localhost:8380/Oncall/Wizard/filetesting';

        //$http.defaults.headers.common['attEDSUser'] = username;
        //$http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        //$http.defaults.headers.common['attEDSApplication'] = 'iMoc';
       // $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        $http.get(url, {
            async: true,
            cache: false,
          })
          .success(function(response) {
          	console.log("success");
            def.resolve(response);
          }).error(function(response) {
          	console.log("reject");
            def.reject("WS failure while getting the image, error is : " + response);
          }).finally(function() {
          //  delete $http.defaults.headers.common['attEDSApplication'];
            //delete $http.defaults.headers.common['attEDSUserPassword'];
           // delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('sendFile', function($http, $q) {
    return {
      startService: function(file) {
     
        var def = $q.defer();
        var url = 'https://10.19.6.209/Oncall/Wizard/uploadFile';

        //$http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
       // $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
       // $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'multipart/form-data';
        $http.post(url, "?&file=" + file, 'multipart/form-data')
          .success(function(response) {
          	console.log("success");
            def.resolve(response);
          }).error(function(response) {
          	console.log("reject");
            def.reject("WS failure while getting the image, error is : " + response);
          }).finally(function() {
          //  delete $http.defaults.headers.common['attEDSApplication'];
            //delete $http.defaults.headers.common['attEDSUserPassword'];
           // delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('GetKtDataPromise', function($http, $q) {
    return {
      startService: function(team) {
        
        var username = window.localStorage['username'];

        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/Oncall/Wizard/getKtData?teamId='+team;

        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        
        $http.get(url, {
            async: true,
            cache: false,
          })
          .success(function(response) {
            console.log("Data fetched successfully");
            def.resolve(response);
          }).error(function(response) {
            console.log("Problem while fetching Data!");
            def.reject("WS failure while getting the image, error is : " + response);
          }).finally(function() {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('GetSanityDataPromise', function($http, $q) {
    return {
      startService: function(team) {
        
        var username = window.localStorage['username'];

        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/Oncall/Wizard/getSanitySteps?teamId='+team;

        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        
        $http.get(url, {
            async: true,
            cache: false,
          })
          .success(function(response) {
            console.log("Data fetched successfully");
            def.resolve(response);
          }).error(function(response) {
            console.log("Problem while fetching Data!");
            def.reject("WS failure while getting the image, error is : " + response);
          }).finally(function() {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
	.factory('SetSanityDataPromise', function($http, $q) {
    return {
      startService: function(sanityId,status,comment) {
      
        var username = window.localStorage['username'];
    
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/Oncall/Wizard/setSanitySteps';

        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        $http.post(url, "?&attuid="+username+"&sanityId="+sanityId+"&status="+status+"&comment="+comment, 'application/x-www-form-urlencoded')
          .success(function(response) {
          	console.log("success");
            def.resolve(response);
          }).error(function(response) {
          	console.log("reject");
            def.reject("WS failure while getting the image, error is : " + response);
          }).finally(function() {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  

